<?php
namespace App\Entities\Tarifas\Maquinas;

use App\Entities\Tarifas\TarifapreimpresionEntity;
use App\Models\Tarifas\TarifapreimpresionModel;
use CodeIgniter\Entity\Entity;
use App\Entities\Configuracion\Maquina;
use App\Models\Configuracion\MaquinaModel;

class TarifaPreimpresionMaquinaEntity extends Entity
{
    protected $attributes = [
        "id" => null,
        "tarifa_preimpresion_id" => null,
        "maquina_id" => null,
        "maquina_tarea_id" => null,

    ];
    protected $casts = [
        "id" => "integer",
        "tarifa_preimpresion_id" => "integer",
        "maquina_id" => "integer",
        "maquina_tarea_id" => "?integer",

    ];

    public function tarifa_acabado(): TarifapreimpresionEntity
    {
        $m = model(TarifapreimpresionModel::class);
        return $m->find($this->attributes["tarifa_preimpresion_id"]);
    }
    public function maquina(): ?Maquina
    {
        $m = model(MaquinaModel::class);
        return $m->find($this->attributes['maquina_id']);
    }
}
